
/* ===purpose=== */

/**********************************************************************************************************************************/
/********************************  COLLOCATION BEM for 3D POISSON EQUATION: SINGULAR FORMULATION  *********************************/
/************************************  3-NODED TRIANGULAR ELEMENT: SEMI-ANALYTIC INTEGRATION  *************************************/
/*****************************************************  Functions prototypes  *****************************************************/
/**********************************************************************************************************************************/

/* Developer: Sylvain Nintcheu Fata */
/* Version:   V.1.1                 */
/* Released:  Aug 21, 2012          */


void cbem_poi_input(const char *InfParams,const char *InfData); /* Read input data and parameters */
void cbem_lap_init(void);  /* Initialize arrays and parameters */
void cbem_poi_assem(void); /* Assemble h and g influence matrices and the contributions of the source term */
void cbem_poi_lrhs(void);  /* Form the left- and right-hand sides of the discretized BIE */
void cbem_lap_solv(void);  /* Solve the Discretized BIE */

