#include <math.h>


double src_func(const double *x)
{

/* ===purpose=== */

/**********************************************************************************************************************************/
/*******************************************  Source function for 3D Poisson equation  ********************************************/
/**********************************************************************************************************************************/

/* Developer: Sylvain Nintcheu Fata, Oak Ridge National Laboratory */
/* Version:   V.1.0                                                */
/* Released:  May 28, 2011                                         */


/* Note: The length of vector x is 3 */



    return -(2.0*x[1]*x[1]*x[1] + 6.0*x[1])*exp(x[0]+x[2]); /* src_func == Source function evaluated at x */

}
