
/* ===purpose=== */

/**********************************************************************************************************************************/
/****************************************************  Useful routines for BEM  ***************************************************/
/**********************************************************************************************************************************/

/* Developer: Sylvain Nintcheu Fata */
/* Version:   V.1.1                 */
/* Released:  Aug 21, 2012          */


double gammai(double p1, double p2, double qet, double cr1, double cr2, double zn, double zd);
double pt_tria_tst(double w, double u, double v, const double *theta, int *theta_id);
inline double asym_chi(double p1, double p2, double d);
void ortho_comp_basis(const double *t1, const double *t2, double *e1, double *e2, double *e3);
double intsimp(double x1, double x2, double (*f)(double), int nmax, double eps);
double strl_int(const double *x, const double *y);
double sfunc(double t);
